SDL_GPUTextureLocation(3type)

NAME
SDL_GPUTextureLocation - A structure specifying a location in a texture.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

typedef struct SDL_GPUTextureLocation
{
    SDL_GPUTexture *texture;  /**< The texture used in the copy operation. */
    Uint32 mip_level;         /**< The mip level index of the location. */
    Uint32 layer;             /**< The layer index of the location. */
    Uint32 x;                 /**< The left offset of the location. */
    Uint32 y;                 /**< The top offset of the location. */
    Uint32 z;                 /**< The front offset of the location. */
} SDL_GPUTextureLocation;

DESCRIPTION
Used when copying data from one texture to another.

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_CopyGPUTextureToTexture(3)